<?php

function relkp_check_page($hook) {
    global $current_screen;
    $relkp_pages = array('king-pro-plugins_page_relatedkingpro', "toplevel_page_kpp_menu");
    
    if (in_array($hook, $relkp_pages)) return true;
    return false;
}

// Styling for the custom post type icon
function wpt_relkp_icons() {
    ?>
    <style type="text/css" media="screen">
        #toplevel_page_kpp_menu .wp-menu-image {
            background: url(<?= plugins_url('/images/kpp-icon_16x16_sat.png', dirname(__FILE__)) ?>) no-repeat center center !important;
        }
	#toplevel_page_kpp_menu:hover .wp-menu-image, #toplevel_page_kpp_menu.wp-has-current-submenu .wp-menu-image {
            background: url(<?= plugins_url('/images/kpp-icon_16x16.png', dirname(__FILE__)) ?>) no-repeat center center !important;
        }
	#icon-options-general.icon32-posts-kpp_menu, #icon-kpp_menu.icon32 {background: url(<?= plugins_url('/images/kpp-icon_32x32.png', dirname(__FILE__)) ?>) no-repeat;}
    </style>
<?php }
add_action( 'admin_head', 'wpt_relkp_icons' );

function relkp_enqueue($hook) {
    if (relkp_check_page($hook)) :
        wp_register_style( 'relkp_css', plugins_url('css/relatedkingpro-styles.css', dirname(__FILE__)), false, '1.0.0' );
        wp_register_style( 'fontawesome', '//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css', false, '3.2.1');

        wp_enqueue_style( 'relkp_css' );
        wp_enqueue_style( 'fontawesome' );
        wp_enqueue_style( 'thickbox' );
        wp_enqueue_script( 'thickbox' );
    endif;
}
add_action( 'admin_enqueue_scripts', 'relkp_enqueue' );

// Add King Pro Plugins Section
if(!function_exists('find_kpp_menu_item')) {
  function find_kpp_menu_item($handle, $sub = false) {
    if(!is_admin() || (defined('DOING_AJAX') && DOING_AJAX)) {
      return false;
    }
    global $menu, $submenu;
    $check_menu = $sub ? $submenu : $menu;
    if(empty($check_menu)) {
      return false;
    }
    foreach($check_menu as $k => $item) {
      if($sub) {
        foreach($item as $sm) {
          if($handle == $sm[2]) {
            return true;
          }
        }
      } 
      else {
        if($handle == $item[2]) {
          return true;
        }
      }
    }
    return false;
  }
}

function relkp_add_parent_page() {
  if(!find_kpp_menu_item('kpp_menu')) {
    add_menu_page('King Pro Plugins','King Pro Plugins', 'manage_options', 'kpp_menu', 'kpp_menu_page');
  }
//  if(!function_exists('remove_submenu_page')) {
//    unset($GLOBALS['submenu']['kpp_menu'][0]);
//  }
//  else {
//    remove_submenu_page('kpp_menu','kpp_menu');
//  }
  
  add_submenu_page('kpp_menu', 'Related King Pro', 'Related King Pro', 'manage_options', 'relatedkingpro', 'relkp_settings_output');
}
add_action('admin_menu', 'relkp_add_parent_page');

if(!function_exists('kpp_menu_page')) {
    function kpp_menu_page() {
        ?>
        <div class="wrap">
            <div id="icon-options-general" class="icon32 icon32-posts-kpp_menu"><br></div><h2>King Pro Plugin Suite</h2>
            <div class="kpp_block">
                <h2>Connect</h2>
                <div id="kpp_social">
                    <div class="kpp_social facebook"><a href="https://www.facebook.com/KingProPlugins" target="_blank"><i class="icon-facebook"></i> <span class="kpp_width"><span class="kpp_opacity">Facebook</span></span></a></div>
                    <div class="kpp_social twitter"><a href="https://twitter.com/KingProPlugins" target="_blank"><i class="icon-twitter"></i> <span class="kpp_width"><span class="kpp_opacity">Twitter</span></span></a></div>
                    <div class="kpp_social google"><a href="https://plus.google.com/b/101488033905569308183/101488033905569308183/about" target="_blank"><i class="icon-google-plus"></i> <span class="kpp_width"><span class="kpp_opacity">Google+</span></span></a></div>
                </div>
                <h4>Found an issue? Post your issue on the <a href="http://wordpress.org/support/plugin/related-king-pro" target="_blank">support forums</a>. If you would prefer, please email your concern to <a href="mailto:plugins@kingpro.me">plugins@kingpro.me</a></h4>   
            </div>
            
            <br class="clear">
            <div class="kpp_block">
                <h2>Available Plugins</h2>
                <div class="kpp_plugin">
                    <img src="<?= plugins_url('images/kpp_akp.jpg', dirname(__FILE__)) ?>" alt="Ad King Pro" />
                    <span class="title">Ad King Pro</span>
                    <span class="description">Upload. Link. Go.</span>
                    <span class="links"><a href="<?= admin_url('plugin-install.php?tab=plugin-information&amp;plugin=adkingpro&amp;TB_iframe=true&amp;width=600&amp;height=550'); ?>" class="thickbox" title="More information about Ad King Pro">Install</a></span>
                </div>
                <div class="kpp_plugin">
                    <img src="<?= plugins_url('images/kpp_invkp.jpg', dirname(__FILE__)) ?>" alt="Invoice King Pro" />
                    <span class="title">Invoice King Pro</span>
                    <span class="description">Invoicing made easy!</span>
                    <span class="links"><a href="<?= admin_url('plugin-install.php?tab=plugin-information&amp;plugin=invoice-king-pro&amp;TB_iframe=true&amp;width=600&amp;height=550'); ?>" class="thickbox" title="More information about Invoice King Pro">Install</a></span>
                </div>
                <div class="kpp_plugin">
                    <img src="<?= plugins_url('images/kpp_rsskp.jpg', dirname(__FILE__)) ?>" alt="RSS King Pro" />
                    <span class="title">RSS King Pro</span>
                    <span class="description">RSS feeds your way</span>
                    <span class="links"><a href="<?= admin_url('plugin-install.php?tab=plugin-information&amp;plugin=rsskingpro&amp;TB_iframe=true&amp;width=600&amp;height=550'); ?>" class="thickbox" title="More information about Related King Pro">Install</a></span>
                </div>
                <div class="kpp_plugin">
                    <img src="<?= plugins_url('images/kpp_relkp.jpg', dirname(__FILE__)) ?>" alt="Related King Pro" />
                    <span class="title">Related King Pro</span>
                    <span class="description">Keep traffic on your site</span>
                    <span class="links"><a href="<?= admin_url('plugin-install.php?tab=plugin-information&amp;plugin=related-king-pro&amp;TB_iframe=true&amp;width=600&amp;height=550'); ?>" class="thickbox" title="More information about RSS King Pro">Install</a></span>
                </div>
            </div>
            <br class="clear">
        </div>
        <?php
    }
}

function relkp_settings_output() {
	?>
<div class="wrap">
<?php screen_icon(); ?>
<h2>Related King Pro</h2>
<div class="relkp_settings">
<?php /*<form method="post" action="options.php">
<?php //settings_fields('akp-options'); ?>
<?php //do_settings_sections('akp-options'); ?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row"></th>
        <td>
            
        </td>
        <td></td>
        </tr>
        
    </table>
<?php //submit_button(); ?>
</form>*/ ?>
</div>
<div class="relkp_faq_help">
    <div class="relkp_faq">
        <h2>Connect</h2>
        <h3><a href="https://www.facebook.com/KingProPlugins" target="_blank">Follow on Facebook</a></h3>
        <h3><a href="https://twitter.com/KingProPlugins" target="_blank">Follow on Twitter</a></h3>
        <h3><a href="https://plus.google.com/b/101488033905569308183/101488033905569308183/about" target="_blank">Follow on Google+</a></h3>
        <h4>Found an issue? Post your issue on the <a href="http://wordpress.org/support/plugin/related-king-pro" target="_blank">support forums</a>. If you would prefer, please email your concern to <a href="mailto:plugins@kingpro.me">plugins@kingpro.me</a></h4>
        <h2>How To</h2>
        <h3>Use Shortcodes</h3>
        <p>Shortcodes can be used in any page or post on your site. By default:</p>
        <pre>[relatedkingpro]</pre>
        <p>is defaulting to showing <strong>four</strong> related articles if it finds any matches, with images at 295px wide by 180px high and no placeholder. You can define your own settings by:</p>
        <pre>[relatedkingpro show="4" images=true width="295" height="180" placeholder=false]</pre>
        <p>To add this into a template, just use the "do_shortcode" function:</p>
        <pre>&lt;?php 
    if (function_exists('relatedkingpro_func'))
        echo do_shortcode("[relatedkingpro show='6']");
?&gt;</pre>
    </div>
    
    <div class="relkp_help">
        <h2>FAQ</h2>
        <h4>Q. After activating this plugin, my site has broken! Why?</h4>
        <p>Nine times out of ten it will be due to your own scripts being added above the standard area where all the plugins are included. 
            If you move your javascript files below the function, "wp_head()" in the "header.php" file of your theme, it should fix your problem.</p>
        
        <h4>Found an issue? Post your issue on the <a href="http://wordpress.org/support/plugin/related-king-pro" target="_blank">support forums</a>. If you would prefer, please email your concern to <a href="mailto:plugins@kingpro.me">plugins@kingpro.me</a></h4>
    </div>
</div>
</div>
<?php } ?>
